> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Reviews

> Get all reviews for a specific patient.



## OpenAPI

````yaml get /user/patient/{patient_id}/reviews
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/{patient_id}/reviews:
    get:
      tags:
        - provider
        - user
      summary: Get Patient Reviews
      description: Get all reviews for a specific patient.
      operationId: get_patient_reviews_user_patient__patient_id__reviews_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: patient_id
          in: path
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReviewSummary'
                title: >-
                  Response Get Patient Reviews User Patient  Patient Id  Reviews
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReviewSummary:
      properties:
        id:
          type: string
          title: Id
        rating:
          type: integer
          maximum: 5
          minimum: 1
          title: Rating
          description: Rating from 1-5 stars
        feedback:
          anyOf:
            - type: string
            - type: 'null'
          title: Feedback
          description: Patient feedback text
        locationName:
          type: string
          title: Locationname
        redirectedToExternal:
          type: boolean
          title: Redirectedtoexternal
          description: Whether patient was redirected to external platform
        createdDate:
          type: string
          title: Createddate
          description: ISO format datetime string
      type: object
      required:
        - id
        - rating
        - locationName
        - redirectedToExternal
        - createdDate
      title: ReviewSummary
      description: Summary of a patient review for timeline display.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````